package com.eco.plugin.xx.hrzdmsg.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "发送短信信息配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.hrzdmsg.config", text = "发送短信信息配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "loginName", name = "loginName", description = "loginName", status = Status.SHOW)
    private Conf<String> loginName = Holders.simple("");

    @Identifier(value = "password", name = "password", description = "password", status = Status.SHOW)
    private Conf<String> password = Holders.simple("");

    @Identifier(value = "tokenUrl", name = "获取token接口", description = "获取token接口", status = Status.SHOW)
    private Conf<String> tokenUrl = Holders.simple("");

    @Identifier(value = "sendMsgUrl", name = "批量发送短信接口", description = "批量发送短信接口", status = Status.SHOW)
    private Conf<String> sendMsgUrl = Holders.simple("");

    public String getLoginName() {
        return loginName.get();
    }

    public void setLoginName(String url) {
        this.loginName.set(url);
    }

    public String getPassword() {
        return password.get();
    }

    public void setPassword(String url) {
        this.password.set(url);
    }

    public String getTokenUrl() {
        return tokenUrl.get();
    }

    public void setTokenUrl(String url) {
        this.tokenUrl.set(url);
    }

    public String getSendMsgUrl() {
        return sendMsgUrl.get();
    }

    public void setSendMsgUrl(String url) {
        this.sendMsgUrl.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
//        cloned.text = (Conf<String>) text.clone();
//        cloned.count = (Conf<Integer>) count.clone();
//        cloned.price = (Conf<Double>) price.clone();
//        cloned.time = (Conf<Long>) time.clone();
//        cloned.student = (Conf<Boolean>) student.clone();
        return cloned;
    }

}
