package com.eco.plugin.xx.hrzdmsg.dsdd.dsdd;

import com.fr.schedule.base.bean.output.BaseOutputAction;
import com.fr.schedule.base.entity.AbstractScheduleEntity;
import com.fr.schedule.base.type.RunType;
import com.fr.third.fasterxml.jackson.annotation.JsonSubTypes;

@JsonSubTypes.Type(value = TsBean.class, name = "TsBean")
public class TsBean extends BaseOutputAction {
    private static final long serialVersionUID = 8245931480823179622L;
    private String businessCode = null;
    private String content = null;
    private String secretKey = null;
    private String source = null;
    private String sourceNote = null;
    public TsBean(){
        super();
    }

    //是否受不同用户生成不同附件影响
    @Override
    public boolean willExecuteByUser() {
        return true;
    }

    @Override
    public RunType runType() {
        return RunType.SEND_EMAIL;
    }

    //这里直接关联第一步的entity类
    @Override
    public Class<? extends AbstractScheduleEntity> outputActionEntityClass() {
        return TsEntity.class;
    }

    public TsBean id(String id){
        setId(id);
        return this;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public TsBean content(String content){
        setContent(content);
        return this;
    }

    public String getBusinessCode() {
        return businessCode;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public TsBean businessCode(String content){
        setBusinessCode(content);
        return this;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public TsBean secretKey(String content){
        setSecretKey(content);
        return this;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public TsBean source(String content){
        setSource(content);
        return this;
    }

    public String getSourceNote() {
        return sourceNote;
    }

    public void setSourceNote(String sourceNote) {
        this.sourceNote = sourceNote;
    }

    public TsBean sourceNote(String content){
        setSourceNote(content);
        return this;
    }

    //转换成entity对象，用于数据库存储，注意属性不要漏了
    @Override
    public TsEntity createOutputActionEntity() {
        return new TsEntity()
                .id(this.getId())
                .content(this.getContent())
                .businessCode(this.getBusinessCode())
                .secretKey(this.getSecretKey())
                .source(this.getSource())
                .sourceNote(this.getSourceNote())
                ;
    }
}
